/**
 * author:SiZheng.Chen
 * update date:20210120
**/

#include<iostream>
#include<opencv2/opencv.hpp>

using namespace std;
using namespace cv;

enum thinningType{
    THINNING_ZHANGSUEN,
    THINNING_GUOHALL
};

struct WrinkleData{
    Mat wrinkleImg;
    int wrinkleCount;
    double wrinkleLenth;
};

WrinkleData detectWrinkle(Mat image);
Mat wrinkleL(Mat image);
Mat wrinlLeS(Mat image);
Mat hairMask(Mat image);
static void thinningIteration(Mat img, int iter, int thinningType);
void thinning(InputArray input, OutputArray output, int thinningType);
